## org.eclipse.jet.compiler
Class CompileOptionsManager

    java.lang.Object
      org.eclipse.jet.compiler.CompileOptionsManager

    public class CompileOptionsManager

extends java.lang.Object

A singleton that managers JET project compile options.

Method Summary
`static CompileOptionsManager` `getInstance()`
`static java.util.Map` `getOptions(org.eclipse.core.resources.IProject project)`
`java.util.Map` `getOptionsForProject(org.eclipse.core.resources.IProject project)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CompileOptionsManager getInstance()

### getOptionsForProject

    public java.util.Map getOptionsForProject(org.eclipse.core.resources.IProject project)

### getOptions

    public static java.util.Map getOptions(org.eclipse.core.resources.IProject project)

Copyright 2006 IBM Corporation and others. All Rights Reserved.